org.eclipse.rdf4j.sail.inferencer.fc

## Class AbstractForwardChainingInferencer

- java.lang.Object
- - org.eclipse.rdf4j.sail.helpers.SailWrapper
  - - org.eclipse.rdf4j.sail.helpers.NotifyingSailWrapper
    - - org.eclipse.rdf4j.sail.inferencer.fc.AbstractForwardChainingInferencer

- All Implemented Interfaces:
    FederatedServiceResolverClient, NotifyingSail, Sail, StackableSail
  Direct Known Subclasses:
    ForwardChainingRDFSInferencer, SpinSail

      public abstract class AbstractForwardChainingInferencer
      extends NotifyingSailWrapper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractForwardChainingInferencer()`
    `AbstractForwardChainingInferencer(NotifyingSail baseSail)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IsolationLevel` | `getDefaultIsolationLevel()` Retrieves the default `IsolationLevel` level on which transactions in this Sail operate.
    `List<IsolationLevel>` | `getSupportedIsolationLevels()` Retrieve the `IsolationLevel`s supported by this SAIL, ordered by increasing complexity.

    - ### Methods inherited from class org.eclipse.rdf4j.sail.helpers.NotifyingSailWrapper

      `addSailChangedListener, getBaseSail, getConnection, removeSailChangedListener, setBaseSail`

    - ### Methods inherited from class org.eclipse.rdf4j.sail.helpers.SailWrapper

      `getDataDir, getValueFactory, initialize, isWritable, setDataDir, setFederatedServiceResolver, shutDown, verifyBaseSailSet`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.sail.Sail

      `getDataDir, getValueFactory, init, initialize, isWritable, setDataDir, shutDown`

- - ### Constructor Detail

    - #### AbstractForwardChainingInferencer

          public AbstractForwardChainingInferencer()

    - #### AbstractForwardChainingInferencer

          public AbstractForwardChainingInferencer(NotifyingSail baseSail)

  - ### Method Detail

    - #### getDefaultIsolationLevel

          public IsolationLevel getDefaultIsolationLevel()

      Description copied from interface: `Sail`
      Retrieves the default `IsolationLevel` level on which transactions in this Sail operate.
      Specified by:
        `getDefaultIsolationLevel` in interface `Sail`
      Overrides:
        `getDefaultIsolationLevel` in class `SailWrapper`
      Returns:
        the `IsolationLevel` that will be used with `SailConnection.begin()`, for SAIL connections returned by `Sail.getConnection()`.

    - #### getSupportedIsolationLevels

          public List<IsolationLevel> getSupportedIsolationLevels()

      Description copied from interface: `Sail`
      Retrieve the `IsolationLevel`s supported by this SAIL, ordered by increasing complexity.
      Specified by:
        `getSupportedIsolationLevels` in interface `Sail`
      Overrides:
        `getSupportedIsolationLevels` in class `SailWrapper`
      Returns:
        a non-empty List of supported Isolation Levels, in order of increasing complexity. Every SAIL supports at least one `IsolationLevel`.

Copyright © 2015-2022 Eclipse Foundation. All Rights Reserved.